<ion-header>
  <profilebar></profilebar>
</ion-header>

<ion-content padding ng-show="!LoadingView" icon="spiral">
  <div class="sub-page-heading account-heading">
    <button ion-button icon-left navPop class="back-btn flex-buffer"><div class="icon-backarrow"></div></button>
    <div tappable class="title change-profile-photo" (click)="showFileBrowser()">
      <div class="profile-photo"><img [src]="user.photo" alt=""></div>
      Change Profile Photo
      <input type="file" #file name="photo" (change)="onFileChange(file.files)" accept="image/*" style="display: none">
    </div>
    <div class="flex-buffer"></div>
  </div>
  <ion-list class="profile-items">
    <form [formGroup]="profileForm" (ngSubmit)="onSubmit()">
      <ion-list>
        <div class="item">
          <div class="icon icon-user"></div>
          <ion-input tappable formControlName="name" name="name" type="text" placeholder="Name" spellcheck="false" autocapitalize="off" required></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-calendar"></div>
          <ion-input tappable formControlName="age" name="age" type="text" placeholder="Age" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-ruler"></div>
          <ion-input tappable formControlName="height" name="height" type="text" placeholder="Height" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-weight"></div>
          <ion-input tappable formControlName="startingWeight" name="startingWeight" type="text" placeholder="Starting Weight" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-weight"></div>
          <ion-input tappable formControlName="currentWeight" name="currentWeight" type="text" placeholder="Current Weight" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-weight"></div>
          <ion-input tappable formControlName="goalWeight" name="goalWeight" type="text" placeholder="Goal Weight" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-email"></div>
          <ion-input tappable formControlName="email" name="email" type="text" placeholder="Email" spellcheck="false" autocapitalize="off" required></ion-input>
        </div>
        <div class="item">
          <div class="icon icon-timezone"></div>
          <ion-input tappable formControlName="timezone" name="timezone" type="text" placeholder="Contact Number" spellcheck="false" autocapitalize="off"></ion-input>
        </div>
      </ion-list>
      <button tappable ion-button type="submit" block [disabled]="!profileForm.valid" class="btn-skeleton">Update</button>
    </form>
  </ion-list>
</ion-content>
